import GroupModel from "../../Models/GroupModel.js";
import { BaseView, IBaseViewOptions } from "../../Views/BaseView.js";
export interface INavigationItemOptions extends IBaseViewOptions {
    source: GroupModel;
}
export declare class NavigationItem extends BaseView {
    private m_selectEventSubscription;
    constructor(options: INavigationItemOptions);
    get source(): GroupModel;
    template(): string | Array<string> | JQuery;
    select(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onDestroy(e: Jade.UI.ControlEventArgs): void;
    private processValidationErrors;
    private addValidationErrorSummary;
    private onSelect;
}
